Set default GAM advertiser
curl --request PUT \
--url https://api.interchange.io/api/v2/storefront/esa/{esaId}/gam/default-advertiser \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"gamAdvertiserId": "<string>"
}
'import requests
url = "https://api.interchange.io/api/v2/storefront/esa/{esaId}/gam/default-advertiser"
payload = { "gamAdvertiserId": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({gamAdvertiserId: '<string>'})
};
fetch('https://api.interchange.io/api/v2/storefront/esa/{esaId}/gam/default-advertiser', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"defaultGamAdvertiserId": "<string>"
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Storefront Ad Server Buyer Routing
Set default GAM advertiser
Set the default Google Ad Manager advertiser used for buyer routing on a Google Ad Manager-backed ad server source. For an adapter-agnostic write, use PUT /esa//default-advertiser.
PUT
/
esa
/
{esaId}
/
gam
/
default-advertiser
Set default GAM advertiser
curl --request PUT \
--url https://api.interchange.io/api/v2/storefront/esa/{esaId}/gam/default-advertiser \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"gamAdvertiserId": "<string>"
}
'import requests
url = "https://api.interchange.io/api/v2/storefront/esa/{esaId}/gam/default-advertiser"
payload = { "gamAdvertiserId": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({gamAdvertiserId: '<string>'})
};
fetch('https://api.interchange.io/api/v2/storefront/esa/{esaId}/gam/default-advertiser', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"defaultGamAdvertiserId": "<string>"
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Authorizations
API key or access token
Path Parameters
Ad server source connection id. The wire field remains esaId for API compatibility.
Required range:
0 < x <= 9007199254740991Example:
123
Body
application/json
Minimum string length:
1Response
Set default GAM advertiser